Subject: Re: [bug#66836] [PATCH v2] gnu: Add tree-sitter-yaml.

From: Olivier Rojon <[email-masked]>
Date: Tue, 25 Feb 2025 22:04:09 +0000

Hello everyone,

soo.... it has been a while since there has been some activity.  I have checked and
couldn't find another effort to get tree-sitter-yaml packaged (that is, no duplicates).

Did anyone of you have spare time to look more into this?  I am very intersted to get this
package into the guix codebase, and it seems there has been more recent activity not only
in the original repository (https://github.com/ikatyang/tree-sitter-yaml), but even more
recently, there has been activity in another repository which is a fork of the original
one (https://github.com/tree-sitter-grammars/tree-sitter-yaml).

I have spent a short amount of time trying to get either of them to package, but that
didn't result in any tangible results (all attempts failed, I didn't know what the problem
was, I gave up).

However, I'd be motivated to try to get it done together, so if any of you is on board,
let's get it on ;-)

Have a good day, fellows :-)

Hilton Chain <[email-masked]> writes:

> Hi Emma,
>
> Tests currently fail on aarch64-linux[1], which can be reproduced with
> `./pre-inst-env guix build tree-sitter-yaml --system=aarch64-linux`.
>
> Any ideas?
>
> On Sat, 04 Nov 2023 20:22:10 +0800,
> Hilton Chain wrote:
>>
>> From: Emma Turner <[email-masked]>
>>
>> * gnu/packages/patches/tree-sitter-yaml-fix-tests.patch: New file.
>> * gnu/local.mk (dist_patch_DATA): Register it.
>> * gnu/packages/tree-sitter.scm (tree-sitter-yaml): New variable.
>>
>> Modified-by: Hilton Chain <[email-masked]>
>> Change-Id: I45a4a843ecee9dfa580eeaa352f1354915f83881
>> ---
>>  gnu/local.mk                                  |   1 +
>>  .../patches/tree-sitter-yaml-fix-tests.patch  | 690 ++++++++++++++++++
>>  gnu/packages/tree-sitter.scm                  |  15 +
>>  3 files changed, 706 insertions(+)
>>  create mode 100644 gnu/packages/patches/tree-sitter-yaml-fix-tests.patch
>
> Thanks
> ---
> [1]:
> https://bordeaux.guix.gnu.org/build/206a6c33-c95a-4f7f-8e15-30e7b5662634/log
>
> --- expected / +++ actual
>
>   1. Spec Example 9.3. Bare Documents:
>
>     (stream
>       (document
>         (flow_node
>           (plain_scalar
>             (string_scalar))))
>       (comment)
>       (document)
>       (document
>         (block_node
> +++       (block_scalar)))
> +++   (MISSING _eof))
> ---       (block_scalar))))
>
>
>   2. Spec Example 9.5. Directives Documents:
>
>     (stream
>       (document
>         (yaml_directive
>           (yaml_version))
>         (block_node
>           (block_scalar)))
> +++   (MISSING _eof))
> ---   (document
> ---     (yaml_directive
> ---       (yaml_version))
> ---     (comment)))
>
>
>   3. Zero indented block scalar:
>
>     (stream
>       (document
>         (block_node
> +++       (block_scalar)))
> +++   (MISSING _eof))
> ---       (block_scalar))))
>
>
>   4. Zero indented block scalar with line that looks like a comment:
>
>     (stream
>       (document
>         (block_node
> +++       (block_scalar)))
> +++   (MISSING _eof))
> ---       (block_scalar))))